routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('dashboard');
});*/

Auth::routes();


Route::middleware('auth')->group(function () {
    Route::get('/', 'HomeController@index')->name('dashboard');
    Route::get('userDetail/{id}', 'HomeController@userDetail')->name('userDetail');
    Route::get('userDetail/{user_id}/trip/{trip_id}', 'UserTripController@show')->name('user_trip_detail');
    Route::get('/logout', 'HomeController@logout');
    Route::get('/profile', function ()
    {
        return view('pages.user.profile');

    })->name('profile');

    Route::get('/change-password', function ()
    {
        return view('pages.user.change_password');

    })->name('change-password');
    Route::delete('attachment/{id}', 'Admin\GeneralSettingController@delete_attachment')->name('delete_attachment');
    Route::post('/profile', 'Admin\GeneralSettingController@updateProfile')->name('update-profile');
    Route::post('/change-password', 'Admin\GeneralSettingController@updatePassword')->name('update-change-password');

    Route::get('notifications', 'Admin\GeneralSettingController@index')->name('notification-all');
    Route::get('notifications/{id}', 'Admin\GeneralSettingController@show')->name('notification.show');
    Route::get('notifications/read/{id}', 'Admin\GeneralSettingController@edit')->name('notification.read');

    Route::resource('users', 'Admin\UserController');
    Route::put('users/status/{id}', 'Admin\UserController@updateStatus')->name('users.status');
    Route::get('driver/requests', 'Admin\DriverController@Driverrequests')->name('driver.requested');
    Route::get('driver/requests/{id}', 'Admin\DriverController@DriverrequestsUser')->name('driver.requested.id');
    Route::get('driver/accept/{id}', 'Admin\DriverController@DriverAccept')->name('driver.accept');
    Route::get('driver/reject/{id}', 'Admin\DriverController@DriverReject')->name('driver.reject');
    Route::resource('driver', 'Admin\DriverController');
    Route::resource('brands', 'Admin\CarBrandController');
    Route::resource('models', 'Admin\CarModelController');
    Route::resource('faqs', 'Admin\FaqsController');
    Route::resource('generalsetting', 'Admin\GeneralSettingController');
    Route::resource('appbanner', 'Admin\AppBannerController');
    Route::resource('promocodes', 'Admin\PromocodeController');
    Route::resource('user-trips', 'Admin\UserTripController');
    Route::resource('payments', 'Admin\PaymentController');
    Route::resource('user-complaints', 'Admin\ComplaintController');
    Route::resource('custom-notification', 'Admin\CustomEmailController');
    Route::resource('rental-cars', 'Admin\RentalCarController');
    Route::resource('booking-cars', 'Admin\BookedRentalCarController');
    Route::get('booking-cars/{status}/{id}', 'Admin\BookedRentalCarController@updateStatus');
    Route::get('booking-cars/status/{status}/{id}', 'Admin\BookedRentalCarController@updatebookingStatus');
    Route::put('banner/status/{id}', 'Admin\AppBannerController@updateStatus')->name('banner.status');
});

Route::get('storage/app/{dir}/{filename}', function ($dir, $filename) {
    $path = storage_path('app/' . $dir . '/' . $filename);
    /*
    if (!File::exists($path)) {
        abort(404);
    }

    $file = File::get($path);
    $type = File::mimeType($path);

    $response = Response::make($file, 200);
    $response->header("Content-Type", $type);
    */
    return response()->file($path);

});

use App\Models\User;
use App\Notifications\ChatMessage;

Route::get('/test/{email}', function ($email) {
    $receiver = User::where('email', $email)->first();
    $receiver->notify(new ChatMessage($receiver, 'Test notification'));
});

// use App\Events\LocateDriver;
// use DB;

// Route::get('/socket-test', function () {
//     $data = [
//         'user_id' => 11,
//         'latitude' => 12.45,
//         'longitude' => 12.45,
//     ];
//     event(new LocateDriver($data));
//     return "ok";
// });
// Route::get('/truncate', function () {
//     DB::statement("SET SQL_SAFE_UPDATES = 0;");
//     DB::table('users')->where('id','!=',382)->delete();
//     return "ok";
//     DB::table('user_addresses')->truncate();
//     DB::table('user_trips')->truncate();
//     DB::table('attachments')->truncate();
// });

resources/views/pages/dashboard/dashboard.blade.php
@extends('layouts.default')
@section('title','Dashboard')
@section('content')
@push('heads')
<meta name="total_clients" content="{{ $total_clients }}"/>
<meta name="total_chauffers" content="{{ $total_chauffers }}"/>

<meta name="total_chauffers" content="{{ $total_chauffers }}"/>
<meta name="total_chauffers" content="{{ $total_chauffers }}"/>

@endpush
    <div class="content-wrapper homepage ">
      <div class="row">
        <div class="col-sm-12">
          <div class="home-tab">
            {{-- <div class="d-sm-flex align-items-center justify-content-between border-bottom">
              <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active ps-0" id="home-tab" data-bs-toggle="tab" href="#overview" role="tab" aria-controls="overview" aria-selected="true">Overview</a>
                </li>
              </ul>
            </div> --}}
            <div class="tab-content tab-content-basic">
              <div class="tab-pane fade show active" id="overview" role="tabpanel" aria-labelledby="overview">
               {{--  <div class="row">
                  <div class="col-sm-12">
                    <div class="statistics-details d-flex align-items-center justify-content-between">
                      <div>
                        <p class="statistics-title">Total Users</p>
                        <h3 class="rate-percentage"></h3>
                      </div>
                      <div>
                        <p class="statistics-title">Total Clients</p>
                        <h3 class="rate-percentage">{{ $total_clients }}</h3>
                      </div>
                      <div>
                        <p class="statistics-title">Total Chauffers</p>
                        <h3 class="rate-percentage">{{ $total_chauffers }}</h3>
                      </div>
                      <div>
                        <p class="statistics-title">New Requests</p>
                        <h3 class="rate-percentage">{{ $total_requests }}</h3>
                      </div>
                      <div class="d-none d-md-block">
                        <p class="statistics-title">Total Earning</p>
                        <h3 class="rate-percentage">{{ $total_earning }}</h3>
                      </div>
                      <div class="d-none d-md-block">
                        <p class="statistics-title">Total Trips</p>
                        <h3 class="rate-percentage">{{ $total_trips }}</h3>
                      </div>
                    </div>
                  </div>
                </div> --}}
                <div class="row">

                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                    <a href="{{ route('users.index') }}" style="text-decoration:none">
                        <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                            <div class="card bg-primary card-rounded">
                            <div class="card-body pb-0">
                                <h4 class="card-title card-title-dash text-white mb-4">Total Users</h4>
                                <div class="row">
                                <div class="col-sm-4">
                                    <h2 class="text-info">{{ $total_users }}</h2>
                                </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </a>
                    </div>
                  </div>
                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                    <a href="{{ route('users.index') }}" style="text-decoration:none">
                        <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                          <div class="card bg-primary card-rounded">
                            <div class="card-body pb-0">
                              <h4 class="card-title card-title-dash text-white mb-4">Total Clients</h4>
                              <div class="row">
                                <div class="col-sm-4">

                                  <h2 class="text-info">{{ $total_clients }}</h2>
                                </div>

                              </div>
                            </div>
                          </div>
                        </div>
                    </a>

                    </div>
                  </div>
                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                    <a href="{{ route('driver.index') }}" style="text-decoration:none">
                        <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                          <div class="card bg-primary card-rounded">
                            <div class="card-body pb-0">
                              <h4 class="card-title card-title-dash text-white mb-4">Total Chauffers</h4>
                              <div class="row">
                                <div class="col-sm-4">
                                  <h2 class="text-info">{{ $total_chauffers }}</h2>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                    </a>

                    </div>
                  </div>
                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                        <a href="{{ route('driver.requested') }}" style="text-decoration:none">
                            <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                              <div class="card bg-primary card-rounded">
                                <div class="card-body pb-0">
                                  <h4 class="card-title card-title-dash text-white mb-4">New Requests</h4>
                                  <div class="row">
                                    <div class="col-sm-4">

                                      <h2 class="text-info">{{ $total_requests }}</h2>
                                    </div>

                                  </div>
                                </div>
                              </div>
                            </div>
                        </a>

                    </div>
                  </div>
                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                    <a href="{{ route('payments.index') }}" style="text-decoration:none">
                        <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                          <div class="card bg-primary card-rounded">
                            <div class="card-body pb-0">
                              <h4 class="card-title card-title-dash text-white mb-4">Total Earning</h4>
                              <div class="row">
                                <div class="col-sm-4">
                                  <h2 class="text-info">{{ $total_earning }}</h2>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                    </a>

                    </div>
                  </div>
                  <div class="col-lg-4 d-flex flex-column">
                    <div class="row flex-grow">
                        <a href="{{ route('user-trips.index') }}" style="text-decoration:none">
                            <div class="col-md-6 col-lg-12 grid-margin stretch-card">
                              <div class="card bg-primary card-rounded">
                                <div class="card-body pb-0">
                                  <h4 class="card-title card-title-dash text-white mb-4">Total Trips</h4>
                                  <div class="row">
                                    <div class="col-sm-4">

                                      <h2 class="text-info">{{ $total_trips }}</h2>
                                    </div>

                                  </div>
                                </div>
                              </div>
                            </div>
                        </a>

                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-12 d-flex flex-column">
                    {{-- <div class="row flex-grow">
                      <div class="col-12 grid-margin stretch-card">
                        <div class="card card-rounded">
                          <div class="card-body">
                            <div class="d-sm-flex justify-content-between align-items-start">
                              <div>
                                <h4 class="card-title card-title-dash">Total Earning</h4>
                               <p class="card-subtitle card-subtitle-dash">Chauffers Earning</p>
                              </div>
                              <div>
                                <div class="dropdown">
                                  <button class="btn btn-secondary dropdown-toggle toggle-dark btn-lg mb-0 me-0" type="button" id="dropdownMenuButton2" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> This Year </button>
                                </div>
                              </div>
                            </div>
                            <div class="d-sm-flex align-items-center mt-1 justify-content-between">
                              <div class="d-sm-flex align-items-center mt-4 justify-content-between"><h2 class="me-2 fw-bold">{{ $month_earning }}</h2><h4 class="me-2">AED</h4><h4 class="text-success">(+1.37%)</h4></div>
                              <div class="me-3"><div id="marketing-overview-legend"></div></div>
                            </div>
                            <div class="chartjs-bar-wrapper mt-3">
                              <canvas id="marketingOverview"></canvas>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div> --}}
                    <div class="row flex-grow">
                      <div class="col-12 grid-margin stretch-card">
                        <div class="card card-rounded">
                          <div class="card-body">
                            <div class="d-sm-flex justify-content-between align-items-start">
                              <div>
                                <h4 class="card-title card-title-dash">New Users</h4> <a href="{{url('/users')}}"> View all</a>
                               <p class="card-subtitle card-subtitle-dash">{{ $new_request_users }} new users in a month</p>
                              </div>
                              {{-- <div>
                                <a class="btn btn-primary btn-lg text-white mb-0 me-0" href="{{ route('users.create') }}">
                                    <i class="mdi mdi-account-plus"></i>
                                    New 
                                </a>
                              </div> --}}
                            </div>
                            <div class="table-responsive  mt-1">
                              <table class="table select-table">
                                <thead>
                                  <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                  </tr>
                                </thead>
                                <tbody>
                                  @foreach ($new_request as $request)
                                  <tr>
                                  <td>
                                    <div class="d-flex ">
                                      <img src="{{ asset($request->profile_image??'admin/images/faces/face1.jpg') }}" alt="">
                                      <div>
                                        <h6>{{ $request->first_name.' '.$request->last_name }}</h6>
                                      </div>
                                    </div>
                                  </td>
                                <td>
                                    <h6>{{ $request->email }}</h6>
                                </td>
                                <td>
                                    <h6>{{ $request->phone }}</h6>
                                </td>
                                <td>
                                    <h6>{{ $request->status }}</h6>
                                </td>
                                <td>
                                    @if ($request->type == 'USER')
                                        <a href="{{route('users.edit', $request->id)}}">Edit</a>
                                    @else
                                        <a href="{{route('driver.edit', $request->id)}}">Edit</a>

                                    @endif
                                </td>
                                </tr>
                                  @endforeach
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
@endsection